Package grub

Source package: grub
Version: 2.02-alt29.qa3
Build time:  Mar 3, 2021, 07:48 PM
 in the task #267184
Category: System/Kernel and hardware
Report package bug
License:  GPL-3
Summary:  GRand Unified Bootloader
Description: 
GNU GRUB is a multiboot boot loader. It was derived from GRUB. It is an
attempt to produce a boot loader for IBM PC-compatible machines that
has both the ability to be friendly to beginning or otherwise
nontechnically interested users and the flexibility to help experts in
diverse environments. It is compatible with Free/Net/OpenBSD and Linux.
It supports Win 9x/NT and OS/2 via chainloaders. It has a menu
interface and a command line interface.
It implements the Multiboot standard, which allows for flexible loading
of multiple boot images (needed for modular kernels such as the GNU Hurd).
List of rpms provided by this srpm: 
grub-common (x86_64, ppc64le, i586, aarch64)
grub-common-debuginfo (x86_64, ppc64le, i586, aarch64)
grub-efi (x86_64, i586, aarch64)
grub-ieee1275 (ppc64le)
grub-ieee1275-debuginfo (ppc64le)
grub-pc (x86_64, i586)
grub-pc-debuginfo (x86_64, i586)
Last changes:
March 1, 2021 Nikolai Kostrigin 2.02-alt29.qa3
- fix OS ALT installer translation and make it common for all distributions
  + update alt-add-translation-for-installer patch (antohami@)
- duplicate grub.cfg to EFI/BOOT also to workaround some Acer firmwares
  + add alt-grub-install-duplicate-grub-cfg patch (refer to ALT#39745)
Jan. 27, 2021 Nikolai Kostrigin 2.02-alt29.qa2
- grub-efi-autoupdate: fix grub update rendering system unbootable
- grub-efi.filetrigger: add to ensure grub reinstall during shim-signed update
- provide OS ALT installer messages Russian translation
  + add alt-add-translation-for-installer patch (underwit@)
- update grub messages Russian translation
  + add alt-update-russian-translation patch (underwit@, Olesya Gerasimenko)
Dec. 25, 2020 Nikolai Kostrigin 2.02-alt29.qa1
- grub-install: add workaround for malformed EFI-firmware implementations
  + add debian-grub-install-removable-shim patch
  + add debian-grub-install-extra-removable patch
  + add alt-grub-install-no-fallback-for-removable patch
- grub-efi-autoupdate: use grub-install --force-extra-removable by default

Back to Top